// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: openadr/EventSignalType.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace Openadrevent {

  /// <summary>Holder for reflection information generated from openadr/EventSignalType.proto</summary>
  public static partial class EventSignalTypeReflection {

    #region Descriptor
    /// <summary>File descriptor for openadr/EventSignalType.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static EventSignalTypeReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Ch1vcGVuYWRyL0V2ZW50U2lnbmFsVHlwZS5wcm90bxIMb3BlbmFkcmV2ZW50",
            "GhRvcGVuYWRyL1RhcmdldC5wcm90bxoWb3BlbmFkci9JbnRlcnZhbC5wcm90",
            "byLGAwoPRXZlbnRTaWduYWxUeXBlEikKCWludGVydmFscxgBIAMoCzIWLm9w",
            "ZW5hZHJldmVudC5JbnRlcnZhbBITCgtzaWduYWxfbmFtZRgCIAEoCRIRCglz",
            "aWduYWxfaWQYAyABKAkSFQoNY3VycmVudF92YWx1ZRgEIAEoAhIkCgZ0YXJn",
            "ZXQYBSABKAsyFC5vcGVuYWRyZXZlbnQuVGFyZ2V0Ej0KC3NpZ25hbF90eXBl",
            "GAYgASgOMigub3BlbmFkcmV2ZW50LkV2ZW50U2lnbmFsVHlwZS5TaWduYWxU",
            "eXBlIuMBCgpTaWduYWxUeXBlEgkKBWRlbHRhEAASCQoFbGV2ZWwQARIOCgpt",
            "dWx0aXBsaWVyEAISCQoFcHJpY2UQAxITCg9wcmljZU11bHRpcGxpZXIQBBIR",
            "Cg1wcmljZVJlbGF0aXZlEAUSDAoIc2V0cG9pbnQQBhIYChR4bG9hZENvbnRy",
            "b2xDYXBhY2l0eRAHEhsKF3hsb2FkQ29udHJvbExldmVsT2Zmc2V0EAgSHQoZ",
            "eGxvYWRDb250cm9sUGVyY2VudE9mZnNldBAJEhgKFHhsb2FkQ29udHJvbFNl",
            "dHBvaW50EApCdQoZY29tLmNvZGlibHkubW9kZWwub3BlbmFkckIURXZlbnRT",
            "aWduYWxUeXBlUHJvdG/KAhlEb21haW5Nb2RlbFxQcm90b1xPcGVuYWRy4gIl",
            "RG9tYWluTW9kZWxcUHJvdG9cT3BlbmFkclxHUEJNZXRhZGF0YWIGcHJvdG8z"));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Openadrevent.TargetReflection.Descriptor, global::Openadrevent.IntervalReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::Openadrevent.EventSignalType), global::Openadrevent.EventSignalType.Parser, new[]{ "Intervals", "SignalName", "SignalId", "CurrentValue", "Target", "SignalType" }, null, new[]{ typeof(global::Openadrevent.EventSignalType.Types.SignalType) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class EventSignalType : pb::IMessage<EventSignalType>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<EventSignalType> _parser = new pb::MessageParser<EventSignalType>(() => new EventSignalType());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<EventSignalType> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Openadrevent.EventSignalTypeReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public EventSignalType() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public EventSignalType(EventSignalType other) : this() {
      intervals_ = other.intervals_.Clone();
      signalName_ = other.signalName_;
      signalId_ = other.signalId_;
      currentValue_ = other.currentValue_;
      target_ = other.target_ != null ? other.target_.Clone() : null;
      signalType_ = other.signalType_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public EventSignalType Clone() {
      return new EventSignalType(this);
    }

    /// <summary>Field number for the "intervals" field.</summary>
    public const int IntervalsFieldNumber = 1;
    private static readonly pb::FieldCodec<global::Openadrevent.Interval> _repeated_intervals_codec
        = pb::FieldCodec.ForMessage(10, global::Openadrevent.Interval.Parser);
    private readonly pbc::RepeatedField<global::Openadrevent.Interval> intervals_ = new pbc::RepeatedField<global::Openadrevent.Interval>();
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public pbc::RepeatedField<global::Openadrevent.Interval> Intervals {
      get { return intervals_; }
    }

    /// <summary>Field number for the "signal_name" field.</summary>
    public const int SignalNameFieldNumber = 2;
    private string signalName_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string SignalName {
      get { return signalName_; }
      set {
        signalName_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "signal_id" field.</summary>
    public const int SignalIdFieldNumber = 3;
    private string signalId_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string SignalId {
      get { return signalId_; }
      set {
        signalId_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "current_value" field.</summary>
    public const int CurrentValueFieldNumber = 4;
    private float currentValue_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public float CurrentValue {
      get { return currentValue_; }
      set {
        currentValue_ = value;
      }
    }

    /// <summary>Field number for the "target" field.</summary>
    public const int TargetFieldNumber = 5;
    private global::Openadrevent.Target target_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Openadrevent.Target Target {
      get { return target_; }
      set {
        target_ = value;
      }
    }

    /// <summary>Field number for the "signal_type" field.</summary>
    public const int SignalTypeFieldNumber = 6;
    private global::Openadrevent.EventSignalType.Types.SignalType signalType_ = global::Openadrevent.EventSignalType.Types.SignalType.Delta;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Openadrevent.EventSignalType.Types.SignalType SignalType {
      get { return signalType_; }
      set {
        signalType_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as EventSignalType);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(EventSignalType other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if(!intervals_.Equals(other.intervals_)) return false;
      if (SignalName != other.SignalName) return false;
      if (SignalId != other.SignalId) return false;
      if (!pbc::ProtobufEqualityComparers.BitwiseSingleEqualityComparer.Equals(CurrentValue, other.CurrentValue)) return false;
      if (!object.Equals(Target, other.Target)) return false;
      if (SignalType != other.SignalType) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      hash ^= intervals_.GetHashCode();
      if (SignalName.Length != 0) hash ^= SignalName.GetHashCode();
      if (SignalId.Length != 0) hash ^= SignalId.GetHashCode();
      if (CurrentValue != 0F) hash ^= pbc::ProtobufEqualityComparers.BitwiseSingleEqualityComparer.GetHashCode(CurrentValue);
      if (target_ != null) hash ^= Target.GetHashCode();
      if (SignalType != global::Openadrevent.EventSignalType.Types.SignalType.Delta) hash ^= SignalType.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      intervals_.WriteTo(output, _repeated_intervals_codec);
      if (SignalName.Length != 0) {
        output.WriteRawTag(18);
        output.WriteString(SignalName);
      }
      if (SignalId.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(SignalId);
      }
      if (CurrentValue != 0F) {
        output.WriteRawTag(37);
        output.WriteFloat(CurrentValue);
      }
      if (target_ != null) {
        output.WriteRawTag(42);
        output.WriteMessage(Target);
      }
      if (SignalType != global::Openadrevent.EventSignalType.Types.SignalType.Delta) {
        output.WriteRawTag(48);
        output.WriteEnum((int) SignalType);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      intervals_.WriteTo(ref output, _repeated_intervals_codec);
      if (SignalName.Length != 0) {
        output.WriteRawTag(18);
        output.WriteString(SignalName);
      }
      if (SignalId.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(SignalId);
      }
      if (CurrentValue != 0F) {
        output.WriteRawTag(37);
        output.WriteFloat(CurrentValue);
      }
      if (target_ != null) {
        output.WriteRawTag(42);
        output.WriteMessage(Target);
      }
      if (SignalType != global::Openadrevent.EventSignalType.Types.SignalType.Delta) {
        output.WriteRawTag(48);
        output.WriteEnum((int) SignalType);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      size += intervals_.CalculateSize(_repeated_intervals_codec);
      if (SignalName.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(SignalName);
      }
      if (SignalId.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(SignalId);
      }
      if (CurrentValue != 0F) {
        size += 1 + 4;
      }
      if (target_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(Target);
      }
      if (SignalType != global::Openadrevent.EventSignalType.Types.SignalType.Delta) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) SignalType);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(EventSignalType other) {
      if (other == null) {
        return;
      }
      intervals_.Add(other.intervals_);
      if (other.SignalName.Length != 0) {
        SignalName = other.SignalName;
      }
      if (other.SignalId.Length != 0) {
        SignalId = other.SignalId;
      }
      if (other.CurrentValue != 0F) {
        CurrentValue = other.CurrentValue;
      }
      if (other.target_ != null) {
        if (target_ == null) {
          Target = new global::Openadrevent.Target();
        }
        Target.MergeFrom(other.Target);
      }
      if (other.SignalType != global::Openadrevent.EventSignalType.Types.SignalType.Delta) {
        SignalType = other.SignalType;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            intervals_.AddEntriesFrom(input, _repeated_intervals_codec);
            break;
          }
          case 18: {
            SignalName = input.ReadString();
            break;
          }
          case 26: {
            SignalId = input.ReadString();
            break;
          }
          case 37: {
            CurrentValue = input.ReadFloat();
            break;
          }
          case 42: {
            if (target_ == null) {
              Target = new global::Openadrevent.Target();
            }
            input.ReadMessage(Target);
            break;
          }
          case 48: {
            SignalType = (global::Openadrevent.EventSignalType.Types.SignalType) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            intervals_.AddEntriesFrom(ref input, _repeated_intervals_codec);
            break;
          }
          case 18: {
            SignalName = input.ReadString();
            break;
          }
          case 26: {
            SignalId = input.ReadString();
            break;
          }
          case 37: {
            CurrentValue = input.ReadFloat();
            break;
          }
          case 42: {
            if (target_ == null) {
              Target = new global::Openadrevent.Target();
            }
            input.ReadMessage(Target);
            break;
          }
          case 48: {
            SignalType = (global::Openadrevent.EventSignalType.Types.SignalType) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the EventSignalType message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum SignalType {
        [pbr::OriginalName("delta")] Delta = 0,
        [pbr::OriginalName("level")] Level = 1,
        [pbr::OriginalName("multiplier")] Multiplier = 2,
        [pbr::OriginalName("price")] Price = 3,
        [pbr::OriginalName("priceMultiplier")] PriceMultiplier = 4,
        [pbr::OriginalName("priceRelative")] PriceRelative = 5,
        [pbr::OriginalName("setpoint")] Setpoint = 6,
        [pbr::OriginalName("xloadControlCapacity")] XloadControlCapacity = 7,
        [pbr::OriginalName("xloadControlLevelOffset")] XloadControlLevelOffset = 8,
        [pbr::OriginalName("xloadControlPercentOffset")] XloadControlPercentOffset = 9,
        [pbr::OriginalName("xloadControlSetpoint")] XloadControlSetpoint = 10,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
